HPE OneView
cancel
Showing results for 
Search instead for 
Did you mean: 

Smart Update Tools for VMware ESXi v2.3 - HPSUM cannot login

 
x-qqq-me12
Regular Visitor

Smart Update Tools for VMware ESXi v2.3 - HPSUM cannot login

I have been unable to complete automated ONLINE updates of ESXi 6.5 using OneView/HPSUT for ESXi 2.3.  The HP SUT server installation went fine and I see successful connections back to Vcenter and OneView:

Management Host Status........: ConnectionSuccess

vCenter Server Status.........: ConnectionSuccess

Mode of Operation.............: autodeploy

After setting the firmware baseline in OneView for an Immediate install the HPSUT service log shows the service polling OneView and downloading the SPP to the staging directory (plenty of free space there!).  Then nothing. The log shows HPSUM attempting to start ".../stagingdirectory/<SPP_name>/hpsum argList=login --open_firewall" but the next line says "Login return code = 1"

As far as I know the only credentials required are to Vcenter which is connecting fine.  Our Network team has monitored the traffic and sees connections on TCP/443 from the HP SUT server to the host and no denied traffic. 

Opened a support case for this but they are having trouble getting the right eyes on it so thought I would try here to see if anyone else ran into this issue.

 

4 REPLIES 4
Highlighted
x-qqq-me12
Regular Visitor

Re: Smart Update Tools for VMware ESXi v2.3 - HPSUM cannot login

Additional version info:

HPE OneView  4.00.11-0360315

HPSUM  8.3.5

VSphere 6.7.0.2

ESXi  6.5.0 Build 10884925

BPSingh
HPE Pro

Re: Smart Update Tools for VMware ESXi v2.3 - HPSUM cannot login

Greetings!

I assume you are running this on HPE ProLiant Gen 8 and Gen 9 servers.

SUT requires iLO 4 firmware version 2.31 or later to be installed on the server.

Please check Prerequisites and dependencies on the release notes link below:

https://support.hpe.com/hpsc/doc/public/display?docId=a00047908en_us

Also please follow below links to ensure that you have followed the procedure correctly and did not miss anything

HPE Smart Update Tools for VMware ESXi - Installing SUT

https://support.hpe.com/hpsc/doc/public/display?docId=emr_na-a00028433en_us&docLocale=en_US

Smart Update Tools for VMware ESXi User Guide Version 2.2.0.0

https://support.hpe.com/hpsc/doc/public/display?docId=emr_na-a00040559en_us&docLocale=en_US

* RECOMMENDED * Smart Update Tools for VMware ESXi (Gen9/Gen8)

https://support.hpe.com/hpsc/swd/public/detail?swItemId=MTX_b7d628019fc442e9bcb58ae5bd#tab2

If the issue persists, try upgrading/downgrading the Smart Update Tools version


Accept or Kudo
x-qqq-me12
Regular Visitor

Re: Smart Update Tools for VMware ESXi v2.3 - HPSUM cannot login

Thanks for the reply.  iLO versions are between 2.55 and 2.61 so well within the required range.

I have reviewed all the documents listed on several locations, and performed re-installs using HPSUM and simply installing the RPMs for SUT and SUM on the SUT servers to see if the behaviour changes.

One thing I have found is that the prerequisites call for certain libraries:

libqlsdm, libemsdm, bfahbaapi, linux-vdso, etc.   These can be found NOWHERE that i have looked.  I would have assumed that they would be supplied with the HPSUM install packages for Linux but they are not there.

CO-Team
Visitor

Re: Smart Update Tools for VMware ESXi v2.3 - HPSUM cannot login

I'm running into similar issues - not verbatum, but close.  Found the documentation on SUT for ESXi, SUM, and OneView is thin at most.  Would be great if HPE offered greater detail as far as requirements for all components; ESXi, SUT/SUM, OneView, etc.

I couldn't even find permissions/role required for the user that SUT uses to connect to OneView and vCenter.  Help us out HPE!